clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::detail::CXXDeductionGuideNameExtra Class Reference

Contains extra information for the name of a C++ deduction guide. More...

`#include "clang/AST/DeclarationName.h"`

Inheritance diagram for clang::detail::CXXDeductionGuideNameExtra:
[legend]
Collaboration diagram for clang::detail::CXXDeductionGuideNameExtra:
[legend]

## Public Member Functions
void | Profile (llvm::FoldingSetNodeID &ID)

## Friends
class | clang::DeclarationName
class | clang::DeclarationNameTable

## Additional Inherited Members
Protected Types inherited from clang::detail::DeclarationNameExtra
enum | ExtraKind { CXXDeductionGuideName, CXXLiteralOperatorName, CXXUsingDirective, ObjCMultiArgSelector }
| The kind of "extra" information stored in the DeclarationName. More...
Protected Member Functions inherited from clang::detail::DeclarationNameExtra
| DeclarationNameExtra (ExtraKind Kind)
| DeclarationNameExtra (unsigned NumArgs)
ExtraKind | getKind () const
| Return the corresponding ExtraKind. More...
unsigned | getNumArgs () const
| Return the number of arguments in an ObjC selector. More...
Protected Attributes inherited from clang::detail::DeclarationNameExtra
unsigned | ExtraKindOrNumArgs
| ExtraKindOrNumArgs has one of the following meaning: More...

## Detailed Description

Contains extra information for the name of a C++ deduction guide.

Definition at line 75 of file DeclarationName.h.

## Member Function Documentation

## ◆ Profile()

void clang::detail::CXXDeductionGuideNameExtra::Profile | ( | llvm::FoldingSetNodeID & | ID | ) |
| inline

Definition at line 94 of file DeclarationName.h.

## Friends And Related Function Documentation

## ◆ clang::DeclarationName

friend class clang::DeclarationName
| friend

Definition at line 78 of file DeclarationName.h.

## ◆ clang::DeclarationNameTable

friend class clang::DeclarationNameTable
| friend

Definition at line 79 of file DeclarationName.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclarationName.h